Bug 1750745 - dnf repoquery --unsatisfied: Problem: The operation would result in removing the following protected packages
Summary: dnf repoquery --unsatisfied: Problem: The operation would result in removing ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavla Kratochvilova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-10 12:15 UTC by Harald Reindl
Modified: 2020-12-21 16:45 UTC (History)
8 users (show)

Fixed In Version: dnf-4.2.23-1.fc32 dnf-4.2.23-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-05 02:29:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Harald Reindl 2019-09-10 12:15:46 UTC
on a testsystem with immutable flag on config files (chattr +i) update via dnf failed in a way that "libtirpc" (luckily) is physically still there but neither the old nor the new version are in the rpmdatabase

there is no point that this leads in "The operation would result in removing the following protected packages: kernel-core" when try to find out which packages besides libtirpc needs a dnf install with "dnf repoquery --unsatisfied"

this operation is not supposed to change anything on the system at all

-------------------------

it's easily reproduceable:

[root@firewall:~]$ rpm -e --justdb --nodeps libtirpc

[root@firewall:~]$ dnf repoquery --unsatisfied
Last metadata expiration check: 0:03:25 ago on Tue Sep 10 14:05:42 2019.

 Problem: The operation would result in removing the following protected packages: kernel-core

-------------------------

[root@firewall:~]$ rpm -qa | grep dnf | sort
dnf-4.2.8-1.fc30.noarch
dnf-data-4.2.8-1.fc30.noarch
libdnf-0.35.2-1.fc30.x86_64
python3-dnf-4.2.8-1.fc30.noarch
python3-dnf-plugin-leaves-4.0.9-1.fc30.noarch
python3-dnf-plugins-core-4.0.9-1.fc30.noarch
python3-libdnf-0.35.2-1.fc30.x86_64

and when you are at it please make sure that in case of cpio errors in /etc a package not disappears from the rpmdatabase completly

Comment 1 Harald Reindl 2019-09-10 12:21:08 UTC
also not very nice and one of the immutable files is the trigger, same applies to glibc updates

---------------------------------------------------------------------

dnf -y install libtirpc

Running transaction
  Preparing        :                                                                                                                                                          1/1 
  Installing       : libtirpc-1.1.4-2.rc3.fc30.x86_64                                                                                                                         1/1 
Error unpacking rpm package libtirpc-1.1.4-2.rc3.fc30.x86_64
  Verifying        : libtirpc-1.1.4-2.rc3.fc30.x86_64                                                                                                                         1/1 

Failed:
  libtirpc-1.1.4-2.rc3.fc30.x86_64 
  
---------------------------------------------------------------------
  
lock-system.php unlock
UNLOCK: /etc/aliases
UNLOCK: /etc/anacrontab
UNLOCK: /etc/bashrc
UNLOCK: /etc/cron.allow
UNLOCK: /etc/crontab
UNLOCK: /etc/csh.cshrc
UNLOCK: /etc/csh.login
UNLOCK: /etc/default/grub
UNLOCK: /etc/default/useradd
UNLOCK: /etc/dracut.conf
UNLOCK: /etc/environment
UNLOCK: /etc/ethertypes
UNLOCK: /etc/exports
UNLOCK: /etc/filesystems
UNLOCK: /etc/fstab
UNLOCK: /etc/gai.conf
UNLOCK: /etc/group
UNLOCK: /etc/gshadow
UNLOCK: /etc/host.conf
UNLOCK: /etc/hostname
UNLOCK: /etc/hosts
UNLOCK: /etc/inputrc
UNLOCK: /etc/issue
UNLOCK: /etc/krb5.conf
UNLOCK: /etc/ld.so.conf
UNLOCK: /etc/libaudit.conf
UNLOCK: /etc/locale.conf
UNLOCK: /etc/login.defs
UNLOCK: /etc/logrotate.conf
UNLOCK: /etc/machine-id
UNLOCK: /etc/mke2fs.conf
UNLOCK: /etc/modprobe.d/blacklist-binfmt_misc.conf
UNLOCK: /etc/modprobe.d/blacklist-firewire.conf
UNLOCK: /etc/modprobe.d/blacklist-general.conf
UNLOCK: /etc/modprobe.d/blacklist-usb.conf
UNLOCK: /etc/modprobe.d/blacklist-vmw_balloon.conf
UNLOCK: /etc/modprobe.d/blacklist-vmw_vmci.conf
UNLOCK: /etc/modprobe.d/blacklist-vmw_vsock_vmci_transport.conf
UNLOCK: /etc/modprobe.d/blacklist-vmwgfx.conf
UNLOCK: /etc/modprobe.d/blacklist-zram.conf
UNLOCK: /etc/modprobe.d/iptables-conntrack.conf
UNLOCK: /etc/modprobe.d/iptables-recent.conf
UNLOCK: /etc/motd
UNLOCK: /etc/netconfig
UNLOCK: /etc/passwd
UNLOCK: /etc/php.ini
UNLOCK: /etc/printcap
UNLOCK: /etc/profile
UNLOCK: /etc/protocols
UNLOCK: /etc/rpc
UNLOCK: /etc/rsyslog.conf
UNLOCK: /etc/services
UNLOCK: /etc/shadow
UNLOCK: /etc/shells
UNLOCK: /etc/smi.conf
UNLOCK: /etc/ssh/ssh_config
UNLOCK: /etc/ssh/ssh_host_dsa_key
UNLOCK: /etc/ssh/ssh_host_dsa_key.pub
UNLOCK: /etc/ssh/ssh_host_ecdsa_key
UNLOCK: /etc/ssh/ssh_host_ecdsa_key.pub
UNLOCK: /etc/ssh/ssh_host_ed25519_key
UNLOCK: /etc/ssh/ssh_host_ed25519_key.pub
UNLOCK: /etc/ssh/ssh_host_rsa_key
UNLOCK: /etc/ssh/ssh_host_rsa_key.pub
UNLOCK: /etc/ssh/sshd_config
UNLOCK: /etc/ssmtp/ssmtp.conf
UNLOCK: /etc/subgid
UNLOCK: /etc/subuid
UNLOCK: /etc/sysconfig/crond
UNLOCK: /etc/sysconfig/ip6tables
UNLOCK: /etc/sysconfig/ipset
UNLOCK: /etc/sysconfig/iptables
UNLOCK: /etc/sysconfig/rsyslog
UNLOCK: /etc/sysconfig/sshd
UNLOCK: /etc/sysctl-conntrack.conf
UNLOCK: /etc/sysctl-ipv6.conf
UNLOCK: /etc/sysctl.conf
UNLOCK: /etc/systemd/logind.conf.d/logind.conf
UNLOCK: /etc/systemd/system.conf.d/01-default-stop-timeout.conf
UNLOCK: /etc/systemd/system.conf.d/02-tasks-max.conf
UNLOCK: /etc/systemd/system.conf.d/03-tsx.conf
UNLOCK: /etc/systemd/system/crond.service.d/private_devices.conf
UNLOCK: /etc/systemd/system/crond.service.d/security.conf
UNLOCK: /etc/systemd/system/crond.service.d/tsx.conf
UNLOCK: /etc/systemd/system/dbus.service.d/security.conf
UNLOCK: /etc/systemd/system/disk-timeout.service
UNLOCK: /etc/systemd/system/disk-timeout.service.d/after-network.conf
UNLOCK: /etc/systemd/system/fstrim.service
UNLOCK: /etc/systemd/system/fstrim.timer
UNLOCK: /etc/systemd/system/getty.target.d/overrides.conf
UNLOCK: /etc/systemd/system/getty@.service.d/overrides.conf
UNLOCK: /etc/systemd/system/kdump.service
UNLOCK: /etc/systemd/system/network-up.service
UNLOCK: /etc/systemd/system/rsyslog.service
UNLOCK: /etc/systemd/system/sshd.socket
UNLOCK: /etc/systemd/system/systemd-journald.service.d/hidepid.conf
UNLOCK: /etc/systemd/system/systemd-journald.service.d/security.conf
UNLOCK: /etc/systemd/system/systemd-logind.service.d/after-network.conf
UNLOCK: /etc/systemd/system/systemd-logind.service.d/hidepid.conf
UNLOCK: /etc/systemd/system/timers.target.d/overrides.conf
UNLOCK: /etc/systemd/system/tshark.service
UNLOCK: /etc/systemd/system/vmtoolsd.service.d/overrides.conf
UNLOCK: /etc/systemd/system/vnstat.service.d/overrides.conf
UNLOCK: /etc/systemd/timesyncd.conf.d/local.conf
UNLOCK: /etc/udev/rules.d/70-persistent-net.rules
UNLOCK: /etc/ulogd.conf
UNLOCK: /etc/updatedb.conf
UNLOCK: /etc/vconsole.conf
UNLOCK: /etc/vmware-tools/scripts/poweroff-vm-default.d/01-thelounge-basic.sh
UNLOCK: /etc/vmware-tools/scripts/suspend-vm-default.d/01-thelounge-basic.sh
UNLOCK: /etc/vmware-tools/tools.conf
UNLOCK: /etc/vnstat.conf
UNLOCK: /etc/wgetrc
UNLOCK: /etc/xattr.conf
UNLOCK: /home/gateway/.ssh/authorized_keys2
UNLOCK: /root/.bash_logout
UNLOCK: /root/.bash_profile
UNLOCK: /root/.bashrc
UNLOCK: /root/.ssh/README-SECURITY
UNLOCK: /root/.ssh/authorized_keys2
UNLOCK: /root/.ssh/config
UNLOCK: /root/.ssh/id_ed25519
UNLOCK: /root/.ssh/id_ed25519.pub
UNLOCK: /root/.ssh/known_hosts
UNLOCK: /usr/bin/busybox
UNLOCK: /usr/local/scripts/check-port.sh
UNLOCK: /usr/local/scripts/check-routing.php
UNLOCK: /usr/local/scripts/cleanup-grub.sh
UNLOCK: /usr/local/scripts/clear-yumdb.sh
UNLOCK: /usr/local/scripts/cpu_flags.php
UNLOCK: /usr/local/scripts/cpu_vulnerabilities.sh
UNLOCK: /usr/local/scripts/disk-timeout.sh
UNLOCK: /usr/local/scripts/disk-usage.sh
UNLOCK: /usr/local/scripts/drop_caches
UNLOCK: /usr/local/scripts/find.sh
UNLOCK: /usr/local/scripts/firewall/config.inc.sh
UNLOCK: /usr/local/scripts/firewall/custom.inc.sh
UNLOCK: /usr/local/scripts/firewall/firewall.sh
UNLOCK: /usr/local/scripts/firewall/ipset_ADMIN_CLIENTS.txt
UNLOCK: /usr/local/scripts/firewall/ipset_BAYES_SYNC.txt
UNLOCK: /usr/local/scripts/firewall/ipset_BLOCKED.txt
UNLOCK: /usr/local/scripts/firewall/ipset_EXCLUDES.txt
UNLOCK: /usr/local/scripts/firewall/ipset_HONEYPOT_IPS.txt
UNLOCK: /usr/local/scripts/firewall/ipset_HONEYPOT_PORTS.txt
UNLOCK: /usr/local/scripts/firewall/ipset_IANA_RESERVED.txt
UNLOCK: /usr/local/scripts/firewall/ipset_IPERF.txt
UNLOCK: /usr/local/scripts/firewall/ipset_JABBER.txt
UNLOCK: /usr/local/scripts/firewall/ipset_LAN_VPN_FORWARDING.txt
UNLOCK: /usr/local/scripts/firewall/ipset_OUTBOUND_BLOCKED_PORTS.txt
UNLOCK: /usr/local/scripts/firewall/ipset_OUTBOUND_BLOCKED_SRC.txt
UNLOCK: /usr/local/scripts/firewall/ipset_PORTSCAN_PORTS.txt
UNLOCK: /usr/local/scripts/firewall/ipset_PORTS_MAIL.txt
UNLOCK: /usr/local/scripts/firewall/ipset_PORTS_RESTRICTED.txt
UNLOCK: /usr/local/scripts/firewall/ipset_RBL_SYNC.txt
UNLOCK: /usr/local/scripts/firewall/ipset_RESTRICTED.txt
UNLOCK: /usr/local/scripts/firewall/ipset_SFTP_22.txt
UNLOCK: /usr/local/scripts/firewall/ipset_SSH_HOSTING.txt
UNLOCK: /usr/local/scripts/firewall/shared.inc.sh
UNLOCK: /usr/local/scripts/firewall/tui.sh
UNLOCK: /usr/local/scripts/firewall/update-blocked-feed.sh
UNLOCK: /usr/local/scripts/firewall_log.sh
UNLOCK: /usr/local/scripts/firewall_status.sh
UNLOCK: /usr/local/scripts/forcefsck.sh
UNLOCK: /usr/local/scripts/iptables-save.sh
UNLOCK: /usr/local/scripts/lock-system.php
UNLOCK: /usr/local/scripts/maketarxz.sh
UNLOCK: /usr/local/scripts/network-graph.sh
UNLOCK: /usr/local/scripts/packages
UNLOCK: /usr/local/scripts/portscan_log.sh
UNLOCK: /usr/local/scripts/public-ip.php
UNLOCK: /usr/local/scripts/purge_kernel_ring_buffer.sh
UNLOCK: /usr/local/scripts/push-lounge.sh
UNLOCK: /usr/local/scripts/remove_rpmnew.sh
UNLOCK: /usr/local/scripts/remove_rpmsave.sh
UNLOCK: /usr/local/scripts/restart-journald.sh
UNLOCK: /usr/local/scripts/rh_watchdog.php
UNLOCK: /usr/local/scripts/rsync.sh
UNLOCK: /usr/local/scripts/system-errors.sh
UNLOCK: /usr/local/scripts/tracking-counters.sh
UNLOCK: /usr/local/scripts/tshark.sh
UNLOCK: /usr/local/scripts/updatedb
UNLOCK: /usr/local/scripts/watch-broadcast.sh
UNLOCK: /usr/local/scripts/watch-cisco-failover.sh
UNLOCK: /usr/local/scripts/watch-icmp.sh
UNLOCK: /usr/local/scripts/watch-lan.sh
UNLOCK: /usr/local/scripts/watch-wan.sh
UNLOCK: /usr/local/scripts/watch-wan1.sh
UNLOCK: /usr/local/scripts/watch-wan2.sh
UNLOCK: /usr/local/scripts/zerofill.sh

---------------------------------------------------------------------

dnf -y install libtirpc

Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                          1/1
  Installing       : libtirpc-1.1.4-2.rc3.fc30.x86_64                                                                                                                         1/1
  Running scriptlet: libtirpc-1.1.4-2.rc3.fc30.x86_64                                                                                                                         1/1
  Verifying        : libtirpc-1.1.4-2.rc3.fc30.x86_64                                                                                                                         1/1

Installed:
  libtirpc-1.1.4-2.rc3.fc30.x86_64

Comment 3 Ben Cotton 2020-04-30 20:19:03 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Update System 2020-06-03 08:55:08 UTC
FEDORA-2020-a943fde9ba has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

Comment 5 Fedora Update System 2020-06-04 03:00:20 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f3f7292b39`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f3f7292b39

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-06-04 04:08:27 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a943fde9ba`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a943fde9ba

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-06-05 02:29:50 UTC
FEDORA-2020-a943fde9ba has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-06-19 01:05:20 UTC
FEDORA-2020-f3f7292b39 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.